Author Topic: [FIXED] 1.1 beta install issues  (Read 18367 times)

buggy

  • Beginner
  • *
  • Posts: 2
[FIXED] 1.1 beta install issues
« on: January 22, 2008, 17:33:44 pm »
I'm using Joomla 1.5 and had tried out VM 1.0.13a stable until I realized that they didnt work well together, so I removed the VM stable and tried out the 1.1 beta 2. There were a few issues after installing the component so I removed and tried the nightly but had the same issues. Here's what happens:
I install by uploading the file package via the Joomla backend, as normal. After the installation is "successful" there is also a warning message at the top that says:
Quote
Warning: zip_entry_read() [function.zip-entry-read]: The bytes parameter must greater then zero in /home/golde59/public_html/libraries/joomla/filesystem/archive/zip.php on line 239
I ignore it for the sake of trying to proceed. I click GO DIRECTLY TO THE SHOP to go to the next step and after it finishes it goes to the VM admin page with an additional warning at the top that says:
Quote
Update Log
Invalid checksum for file "_method,$ps_zone,$sess, $page, $func, $pagename, $modulename, $vars, $VM_LANG, $cmd, $ok, $mosConfig" : 43769 calculated, 0 expectedSomething went wrong with Unpacking the Archive Files
Ignoring that yet again, I can still seem to use VM OK so far, although I'm pretty sure something is indeed wrong as the VM backend seems dramatically formatted incorrectly (CSS issues?).
Here is a screen capture of the VM administration in the backend...



Not sure what those warnings and issues are about, and what I should do about them. Any insights? :)


Matthew Midgett

  • Beginner
  • *
  • Posts: 13
Re: 1.1 beta install issues
« Reply #1 on: January 22, 2008, 22:13:55 pm »
Not sure of you have tried last nights build. It seems to be working fine with my rocket theme template.  Check out the builds here... http://forum.virtuemart.net/index.php?topic=31381.0

Michael Thomsen

  • Beginner
  • *
  • Posts: 21
Re: 1.1 beta install issues
« Reply #2 on: January 23, 2008, 00:19:39 am »
I have the same problem with today's nightly build of VM 1.1 (22 January) and joomla 1.5 stable.
Initially the files couldn't be unpacked so I did this via cpanel filemanager. All folders and files of VM are now installed in their right places, yet I still get:

Warning: mysql_real_escape_string() expects parameter 2 to be resource, integer given in /home2/anchorh/public_html/solarenergydirectnew/libraries/joomla/database/database/mysql.php on line 193

tried different templates, same result.

Michael

aravot

  • Peter
  • Moderator
  • Sr. Member
  • *
  • Posts: 2874
    • VirtueMart Extensions
Re: 1.1 beta install issues
« Reply #3 on: January 23, 2008, 04:42:28 am »
What is your php version and could you please send me your SQL error log, if you are on shared hosting you should contact you host to get it.

Michael Thomsen

  • Beginner
  • *
  • Posts: 21
Re: 1.1 beta install issues
« Reply #4 on: January 23, 2008, 08:00:32 am »
Hi
php 5.2.1, I have asked the host for sql error log.

In the meantime I installed a fresh stable joomla 1.5 and nightly build VM 1.1 on a another server:
PHP version   5.2.5
MySQL version   5.0.45-community
Architecture   i686
Operating system   Linux
Shared Ip Address   202.60.66.63

and got the following error message:

Invalid checksum for file "_method,$ps_zone,$sess, $page, $func, $pagename, $modulename, $vars, $VM_LANG, $cmd, $ok, $mosConfig" : 43769 calculated, 0 expectedSomething went wrong with Unpacking the Archive Files

Fronte end and admin files not unpacked completely.

1. unpacked the files in admin and component via cpanel.
2. ftp transferred the core modules and plugins (content and search).

and everything seems fine.

So on this server, the files were not unpacked and I had to unpack some of the admin and frontend files.
On the other server, I still get the sql error message.

thank you
Michael

buggy

  • Beginner
  • *
  • Posts: 2
Re: 1.1 beta install issues
« Reply #5 on: January 23, 2008, 17:14:16 pm »
Ah, this seems to be a known issue...

http://forum.virtuemart.net/index.php?topic=35395.0

Michael Thomsen

  • Beginner
  • *
  • Posts: 21
Re: 1.1 beta install issues
« Reply #6 on: January 23, 2008, 23:42:58 pm »
unfortunately this is not my problem. The folders are 755 and the files 644.
Just installed the latest nightly build on a fresh joomla 1.5, same problem.
It is obviously a server issue as it installed fine on another server (after unpacking some of the files via cpanel).

cheers
Michael


Michael Thomsen

  • Beginner
  • *
  • Posts: 21
Re: 1.1 beta install issues
« Reply #8 on: January 25, 2008, 23:45:40 pm »
Hi
Installed build 1189.
Got the following error message:

Warning: zip_entry_read() [function.zip-entry-read]: The bytes parameter must greater then zero in /home2/anchorh/public_html/solarenergydirect/libraries/joomla/filesystem/archive/zip.php on line 239

So I unpacked the admin and component files via extract function in cpanel.

Transferred plugins and modules manually from the manual install folder.

Unfortunately, I am still getting:

Warning: mysql_real_escape_string() expects parameter 2 to be resource, integer given in /home2/anchorh/public_html/solarenergydirect/libraries/joomla/database/database/mysql.php on line 193

cheers
Michael

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27538
  • Always on vacation
    • Jenkin Hill Internet
Re: 1.1 beta install issues
« Reply #9 on: January 26, 2008, 00:18:27 am »
Confirmed - warmin message still present in 1189 with PHP4 and not present with PHP5

Warning: mysql_real_escape_string() expects parameter 2 to be resource, integer given in /var/www/html/joomla3/libraries/joomla/database/database/mysql.php on line 193

Database Version: 4.1.22
PHP Version:       5.2.4  and  4.4.4
Web Server: Apache
VirtueMart 1.1: Ver. 1189
Joomla! Version: Joomla! 1.5 Final
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.6.3.10163 on Joomla 3.9.12 PHP 7.0.33


dorjano

  • Beginner
  • *
  • Posts: 31
Administration panel is gone! (VM 1.1 rev 1198)
« Reply #11 on: January 30, 2008, 02:10:20 am »
I did a fresh install of VM1.1  rev.1198 on J!1.0.13, php4.4.7, mysql 4.1.22, apache2.6.9-42 and I can't see new admin panel as it was with previous revisions. Is this connected somehow with a new multi-file language schema?

D.


dorjano

  • Beginner
  • *
  • Posts: 31
Re: Administration panel is gone! (VM 1.1 rev 1198)
« Reply #13 on: January 30, 2008, 03:06:19 am »
Here it is. The picture shows just a list of commands/menu instead of a new Admin panel.

D.

Argghghg >:(. The upload dir is full. Could you do something about? The pix is just 20k.

so how to explain ??? Usually when you click on a VM submenue in J! components menu you get a brand new looking Admin panel, right? Well in my case I get just a list of commands that are usually present in the admin panel; like Configuration, Users, User Groups etc.